org.apache.lucene.analysis.no

## Class NorwegianLightStemmer

- java.lang.Object
- - org.apache.lucene.analysis.no.NorwegianLightStemmer

    public class NorwegianLightStemmer
    extends Object

Light Stemmer for Norwegian.

Parts of this stemmer is adapted from SwedishLightStemFilter, except that while the Swedish one has a pre-defined rule set and a corresponding corpus to validate against whereas the Norwegian one is hand crafted.

### Constructor Summary

Constructors
Constructor and Description
`NorwegianLightStemmer()`

### Method Summary

Methods
`int` `stem(char[] s, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NorwegianLightStemmer

    public NorwegianLightStemmer()

### Method Detail

#### stem

    public int stem(char[] s,
           int len)